## robocode
Class WinEvent

    java.lang.Object
      robocode.Event
          robocode.WinEvent

All Implemented Interfaces:
  Comparable<Event>

    public class WinEvent

extends Event

This event is sent to `onWin(WinEvent)` when your robot wins the round in a battle.

Author:
  Mathew A. Nelson (original)

Constructor Summary
`WinEvent()` Called by the game to create a new WinEvent.

Method Summary

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WinEvent

    public WinEvent()

  Called by the game to create a new WinEvent.